İçeriğe geç

FFmpeg API Metadata

Entegre et

Model kimliği ffmpeg-api/metadata
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/metadata?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "media_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: ≈$0,001 1 API kredisi Bu sayfada çalıştır

API anahtarı al
Utility Diğer #ffmpeg

Bir video veya ses dosyasındaki kodlama meta verilerini okur ve JSON olarak döndürür

Utility · Veri (JSON)

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Analiz edilecek video veya ses dosyasına işaret eden URL.

Gelişmiş extract_frames
POST /run/ffmpeg-api/metadata?wait=20 fiyat → $0,001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ffmpeg-api/metadata?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "media_url": "https://example.com/your-file.bin"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

FFmpeg API Metadata hakkında

`media_url` adresindeki dosyayı analiz eder ve teknik ayrıntılarını JSON nesnesi olarak bildirir. Hem video hem de ses için çalışır. Bir videonun başlangıç ve bitiş karelerini de almak için `extract_frames` değerini true yapın; bu, isteği yavaşlatır.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
media_urlgerekli
Türstring
Analiz edilecek video veya ses dosyasına işaret eden URL.
extract_framesisteğe bağlı
Türboolean
Varsayılanfalse
true olarak ayarlanarak her videonun ilk ve son karelerinin çıkarılmasını etkinleştirir; bunun karşılığında istek işleme yavaşlar.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ffmpeg-api/metadata",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "media_url": "https://example.com/your-file.bin"
  },
  "output": {
    "media": {
      "media_type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "duration": 5,
      "bitrate": 1,
      "codec": "string",
      "container": "string",
      "fps": 1,
      "frame_count": 1,
      "timebase": "string",
      "resolution": {
        "aspect_ratio": "string",
        "width": 1024,
        "height": 768
      },
      "format": {
        "container": "string",
        "video_codec": "string",
        "profile": "string",
        "level": 1.0,
        "pixel_format": "string",
        "bitrate": 1
      },
      "audio": {
        "codec": "string",
        "channels": 1,
        "sample_rate": 1,
        "bitrate": 1
      },
      "start_frame_url": "string",
      "end_frame_url": "string"
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
media
object {media_type, url, content_type, file_name, file_size, duration, bitrate, codec, container, fps, frame_count, timebase, resolution, format, audio, start_frame_url, end_frame_url} | object {media_type, url, content_type, file_name, file_size, duration, bitrate, codec, container, channels, sample_rate}Analiz edilen ses veya video dosyasını açıklayan meta veriler.

Daha fazla model: Diğer

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/ffmpeg-api/metadata.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt